#!/usr/bin/python2
# coding: UTF-8
class tragtorLang:

    language = "ru"

### ERRORS

    error_in_file_single = """Произошла ошибка при открытии файла!\n\nПоказать подробности?"""

    error_in_file_multi = """%i ошибок произошло при открытии файла!\n\nПоказать подробности?"""

    error_in_file_not_accessible = """### ОШИБКА - НЕДОСТУПНЫЙ ФАЙЛ ###:

Невозможно прочитать файл '%s'."""

    error_in_file_not_accessible_explain = """Пожалуйста, выберите корректный медиафайл и убедитесь, что у Вас есть права доступа к нему.

Иногда эта ошибка возникает на файлах нулевого размера."""

    error_in_file_not_readable = """### ОШИБКА - НЕЧИТАЕМЫЙ ФАЙЛ ###:

Невозможно обработать файл '%s'. Невозможно продолжить, т.к. файл нечитаемый."""

    error_in_file_not_readable_explain = """### ИНФОРМАЦИЯ - НЕЧИТАЕМЫЙ ФАЙЛ ###:

Проверьте, установлены ли все необходимые кодеки.

В зависимости от того, как был скомпилирован FFmpeg, проблема может быть в отсутствии некоторых опций компилятора.

    Некоторые версии Ubuntu не имеют поддержки MP3 в FFmpeg.
    В данном случае Вы можете скомпилировать FFmpeg из исходного кода, либо
    установить пакеты из репозиториев Medibuntu с помощью функции
    'force version' в пакетном менеджере Synaptic. Более подробная информация
    доступна на следующих ресурсах:

    https://help.ubuntu.com/community/Medibuntu
    http://ffmpeg.mplayerhq.hu/
    http://wiki.ubuntuusers.de/FFmpeg (German)
    http://www.google.com/search?q=ffmpeg"""

    ffmpeg_options = """### Конфигурация FFmpeg

# Ниже показаны опции компиляции, с которыми был скомпилирован FFmpeg:
    %s

# Форматы файлов, для которых поддерживается чтение:
    %s

# Форматы файлов, для которых поддерживается запись:
    %s

# Аудиокодеки, для которых поддерживается чтение:
    %s

# Аудиокодеки, для которых поддерживается запись:
    %s

# Видеокодеки, для которых поддерживается чтение:
    %s

# Видеокодеки, для которых поддерживается запись:
    %s
"""
    error_message_title = "Ошибка!"
    error_message_file_not_readable = "Ошибка при чтении исходного файла!"
    error_message_file_not_in_media = "Ошибка при импорте исходного файла!"
    error_message_file_not_writable = "Ошибка при записи файла назначения!"
    error_message_file_not_out_media = "Ошибка при экспорте файла назначения!"
    error_message_no_opener = "Файл не может быть открыт, поскольку ни gnome-open, ни kde-open не установлен."
    error_message_no_audio = "Нет аудиопотоков"
    error_message_no_video = "Нет видеопотоков"

    error_message_delete_failed = """Файл не может быть удалён. Проверьте права доступа к файлу."""
    error_message_no_manual = "Отсутствует man-страница для FFmpeg."

    error_button_not_in_media = "Не указан исходный файл"
    error_button_not_writable = "Файл назначения без возможности записи"
    error_button_not_out_media = "Файл назначения не обрабатываемый"
    error_button_in_as_out = "Исходный файл и файл назначения являются одним и тем же файлом"
    error_button_duration = "Некорректные настройки времени"
    error_button_size = "Вы хотите создать видео с нулевым размером?"
    error_button_bitrate = "Некорректный битрейт"
    error_button_frame_rate = "Некорректная частота кадров"
    error_button_sample_rate = "Некорректная частота семплирования"
    error_button_channels = "Некорректное количество аудиоканалов"
    error_button_no_audio = "Вы хотите создать аудиофайл без аудио?"
    error_button_no_content = "Вы хотите создать файл без какого-либо содержимого?"
    error_button_no_audio_bitrate = "Вы хотите создать аудиофайл с битрейтом 0 кбит/с?"
    error_button_no_video_bitrate = "Вы хотите создать видеофайл с битрейтом 0 кбит/с?"

    error_cant_proceed = "Невозможно продолжить с указанными настройками."

### BUTTONS

    proceed_button_active = "Начать"
    proceed_button_overwrite = "Файл уже существует и будет перезаписан. Продолжить?"
    proceed_button_inactive = "Невозможно продолжить\n%s"

### IN FILE TEXT AREA

    in_file_text_area_pre = """### Информация об исходном файле:
"""
    in_file_text_area_post = ""
    in_file_format_info = """
    Файл: %s
    Размер: %sBytes
    Контейнер: %s
    Битрейт: %s k/bs
    Длительность: %s
"""
    in_file_stream_main_info = """
    Идентификатор потока: %s
    Формат: %s
    Кодек: %s
"""
    in_file_stream_audio_info = """    Частота семплирования: %s hz
    Каналы: %s
    Битрейт аудио: %s кбит/с
"""
    in_file_stream_video_info = """    Метод: %s
    Размер: %s
    Кадров в секунду: %s fps
"""

### IN FILE

    in_file_audio_label = "Аудиопотоки"
    in_file_video_label = "Видеопотоки"
    in_file_open_label = "Выбранные файлы"
    in_file_add_label = "Несколько"
    in_file_select_label = "Один"

    in_file_open_remove = ""
    in_file_open_id = ""
    in_file_open_file = "Файл"
    in_file_open_size = "Размер"
    in_file_open_container = "Формат"
    in_file_open_duration = "Длительность"

    in_file_audio_id = "⇨"
    in_file_audio_select = "♻"
    in_file_audio_file = ""
    in_file_audio_codec = "Кодек"
    in_file_audio_sample_rate = "Частота семплирования"
    in_file_audio_bitrate = "Битрейт"
    in_file_audio_channels = "Каналы"
    in_file_audio_language = "Язык"

    in_file_video_preview = "▣"
    in_file_video_id = "⇨"
    in_file_video_select = "♻"
    in_file_video_file = ""
    in_file_video_codec = "Кодек"
    in_file_video_size = "Размер"
    in_file_video_fps = "Кадров в секунду"
    in_file_video_method = "Метод"
    in_file_video_language = "Язык"

    in_file_menu_path = "Путь как у выходного файла"
    in_file_menu_name = "Имя как у выходного файла"
    in_file_menu_meta = "Применить ID3"

### META COMMENT

    meta_comment_text = """Кодировщик FFmpeg и traGtor"""

### QUESTIONS/CONFIRMATIONS

    question_title = "Подтверждение"
    question_overwrite_preset = "Вы действительно хотите перезаписать пресет \"%s\"?"
    question_delete_preset = "Вы действительно хотите удалить пресет \"%s\"?"
    question_delete_in_file = "Вы действительно хотите %i-й файл из списка с Вашего компьютера?"

### TEXT LABELS

    # page-labels
    in_file_label = """Выберите файл(ы) для перекодировки

Добавленные аудио и видеопотоки будут доступны в двух нижних таблицах

Воспользуйтесь кнопкой "Один" для работы с одним файлом

Воспользуйтесь кнопкой "Несколько" для работы с несколькими файлами

Нажмите правой кнопкой мыши по файлу для вывода меню опций"""

    suffix_label = "Контейнер:"

    meta_label = """Отредактируйте метаданные, применяемые к выходному медиафайлу

Сохраняемая информация не затронет никаких значений, относящихся к файлу, таких, как имя файла.

Не все форматы поддерживают данную функцию"""

    proceed_label = """Нажмите кнопку \"Начать\" для продолжения

Эта кнопка проинформирует Вас обо многих событиях

Вывод FFmpeg будет показан внизу"""

    format_video_label = "\nФормат видео"
    format_audio_label = "\nФормат аудио"
    format_render_label = "\nРендеринг"
    format_results_label = "\nРезультат"
    settings_label = """\nНастройки интерфейса"""

### NOTEBOOKS

    in_file_notebook = "Исходные файлы"
    format_notebook = "Настройки формата"
    meta_notebook = "Метаданные"
    proceed_notebook = "Начать"
    settings_notebook = "Настройки"

### TITLES

    in_file_title = "Выберите исходные файлы"
    format_title = "Установить формат"
    meta_title = "Выбрать метаданные"
    proceed_title = "Начать"
    settings_title = "Настройки"

### INPUT_VALUES

    meta_title_label = "Заголовок:"
    meta_author_label = "Автор:"
    meta_copyleft_label = "Копирайт:"
    meta_comment_label = "Комментарий:"
    meta_toggle_label = "Использовать метаданные"

    format_width_label = "Ширина:"
    format_height_label = "Высота:"
    format_ratio_label = "Соотношение\nсторон:"
    format_fixed_ratio_label = "Не изменять\nсоотношение сторон:"
    format_frame_rate_label = "Кадров в секунду:"
    format_deinterlace_label = "Устранение чересстрочности\n(эффекта \"гребёнки\"):"

    format_audio_sample_rate_label = "Частота\nсемплирования:"
    format_audio_bitrate_label = "Битрейт (кбит/с):"
    format_audio_codec_label = "Кодек:"
    format_audio_channels_label = "Аудиоканалы:"
    format_2_pass_label = "Кодировать в 2 прохода:"
    format_2_pass_no_audio_label = "Без аудио:"
    format_codec_label = "Кодек:"
    format_bitrate_label = "Битрейт (кбит/с):"
    format_offset_label = "Смещение\nот начала (сек.):"
    format_duration_label = "Длительность (сек.):"
    format_scaling_label = "Увеличение:"
    format_pad_color_label = "Цвет пустого\nпространства:"
    format_volume_label = "Громкость:"
    format_user_defined_label = "Дополнительные\nопции FFmpeg:"
    format_manual_button = "Опции FFmpeg"

    format_tooltip_changed = "Сбросить на %s"

### PRESETS

    presets_label = "\nПресеты"
    presets_container = """Применять для\nвыходного файла\nконтейнер,\nсохранённый в пресете"""

### FORMAT-INFO

    format_target_info_av = """<b>%s - %sбайт</b>"""

    format_target_info_video = """Видео без аудиопотока: \
<b>%s</b> - <b>%байт</b>."""

    format_target_info_audio = """<b>%s - %sбайт</b>"""

    format_target_info = """%s<small>

Реальный размер файла может отличаться</small>"""
    format_target_info_nothing = """Необходимо выбрать хотя бы один \
из потоков (аудио или видео)."""
    format_target_no_file = "<b>Не выбраны допустимые файлы!</b>"

### OUTPUT/PROCEED

    proceed_folder_label = """Каталог"""
    proceed_suffix_label = """Контейнер"""
    proceed_name_label = """Имя"""

    frame_output = """Выходной файл"""
    frame_proceed = """Начать"""

    out_file_menu_path = "Каталог исходного файла"
    out_file_menu_name = "Имя исходного файла"

### SETTINGS

    settings_language_label ="Выберите ваш язык"
    settings_reset_label = "Сбросить всё"
    settings_reset_button = "Сбросить"
    settings_video_filter_label = "Настройка опций наращивания и обрезки"
    settings_bitrate_mode_label = "Указание битрейта"
    settings_cpu_label = "Использование процессора"
    settings_progress_actions = "Действие после завершения"
    settings_cleanup_2_pass_label = "Удалить лог после второго прохода"
    settings_ffmpeg_label = "FFmpeg:"
    settings_tragtor_label = "traGtor:"
    settings_version_label = "Информация об FFmpeg и traGtor"
    settings_stream_label = "Разделитель потоков\n\".\" для avconv, \":\" для ffmpeg"
    settings_newstream_label = "Использовать опцию \"new[audio|video]\""

### LISTS

    format_scaling_methods_list = [ "Наращивание", "Обрезка", "Растягивание" ]
    output_file_suffix_auto = "в зависимости от расширения"
    cpu_usage_modes = ["Низкое", "Среднее", "Высокое"]
    video_filters = ["Наращивание, обрезка и размер (старый способ)",
                     "Видеофильтр (x:y:w:h)",
                     "Видеофильтр (w:h:x:y)"]
    bitrate_modes = ["-b / -ab (старый способ)",
                     "-b:v / -b:a (новый способ)"]
    progress_actions = ["Ничего не делать", "Воспроизвести файл", "Закрыть окно прогресса",
                     "Завершить traGtor", "Завершить работу системы", "Гибернация",
                     "Ждущий режим"]
    stream_separators = [".", ":"]

### SYSTEM

    date_string = "%Y-%m-%d %I:%M:%S %p"
    hour = "ч."
    hours = "ч."
    minute = "мин."
    minutes = "мин."
    second = "сек."
    seconds = "сек."
    frames = "кадров"
    _and = "и"

    changed = "изменено!"

    title_in_file_media_files = "Читающиеся медиафайлы"
    title_in_file_all_files = "Все форматы файлов"
    title_out_file_media_files = "Записываемые медиафайлы"
    title_out_file_all_files = "Все форматы файлов"

### CONFIRMATION-WINDOW

    title_confirmation_window = "Подтверждение"
    label_confirmation = """Нажмите кнопку \"Применить\" для подтверждения выполнения текущей операции.

Также Вы можете выполнить данную операцию напрямую из терминала (см. поле \"Редактировать команду\")"""
    label_confirm_commandline = "Редактировать команду"
    label_confirm_in_file = "<b>Исходный файл:</b> %s"
    label_confirm_in_files = "<b>Исходные файлы:</b> %s"
    label_confirm_out_file = "<b>Файл назначения:</b> %s"
    label_confirm_in_size = "(%sB)"
    label_confirm_out_size = "(~ %sB)"
    label_confirm_pad_h = "<b>Наращивание:</b> добавлено %i пикселей к ширине"
    label_confirm_pad_v = "<b>Наращивание:</b> добавлено %i пикселей к ширине"
    label_confirm_crop_h = "<b>Обрезка:</b> убрано %i пикселей от ширины"
    label_confirm_crop_v = "<b>Обрезка:</b> убрано %i пикселей от ширины"
    label_confirm_distort_h = "<b>Увеличение:</b> растяжка ширины на %i\%"
    label_confirm_distort_v = "<b>Увеличение:</b> растяжка высоты на %i\%"
    label_confirm_format = "<b>Формат:</b> %s"
    label_confirm_audio = "<b>Аудио:</b> %s"
    label_confirm_audio_disabled = "отключено"
    label_confirm_video = "<b>Видео:</b> %s"
    label_confirm_duration = "<b>Длительность:</b> %s"
    label_confirm_offset = "<b>Начало:</b> %s"
    label_confirm_size = "<b>Размер:</b> %s"

### PROCESS

    title_progress_window = "В процессе..."
    title_progress_window_finished = "Завершено."
    title_progress_window_error = "Ошибка!"
    title_progress_window_pass = "(проход %i)"
    label_progress = "Обработка..."
    text_progress = "Статус файла\n%s"

    label_progress_size = "<b>Размер:</b>"
    label_progress_bitrate = "<b>Битрейт:</b>"
    label_progress_time = "<b>Время:</b>"
    label_progress_frame = "<b>Кадр:</b>"
    label_progress_quantizer = "<b>Квантизатор:</b>"
    label_progress_video = "<b>Видео:</b>"
    label_progress_audio = "<b>Аудио:</b>"
    label_progress_headers = "<b>Заголовки:</b>"
    label_progress_overhead = "<b>Накладные расходы:</b>"

    label_progress_error = "<b>Ошибка!</b>"
    label_progress_error_explain = "Похоже, что произошла ошибка. \
Посмотрите вывод FFmpeg в текстовой области снизу."
    label_progress_actions = "В конце"

### HELP-WINDOW

    title_help_window = "Справка"

### UOE window

    label_pass_1 = "Проход 1"
    label_pass_2 = "Проход 2"
    label_single = "Опции"
    label_UOE = """Отредактируйте список опций в текстовом поле. Не используйте переводы строк. Если включено кодирование в 2 прохода, оба поля будут соединены символом \"|\"."""
